Subject: Re: What's cooking in git.git (Jul 2025, #04; Mon, 14)

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Jul 2025 10:43:22 -0700

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> On Mon, Jul 14, 2025 at 01:53:36PM -0800, Junio C Hamano wrote:
>> 
>> * bs/config-mak-freebsd (2025-07-02) 2 commits
>>   (merged to 'next' on 2025-07-07 at d6761aa225)
>>  + build: retire NO_UINTMAX_T
>>  + config.mak.uname: set NO_MEMMEM only for functional version
>> 
>>  Drop FreeBSD 4 support and assume we are at least at FreeBSD 6 with
>>  memmem() supported.
>>  
>>  source: <[email-masked]>
>
> Apologies for not mentioning earlier, but the minimum version of
> FreeBSD supported with memmem() by this patch is 12, not 6.

Thanks, I realized the same and updated the draft release notes with
that ;-)

>> * cb/meson-avoid-broken-macos-pcre2 (2025-07-13) 1 commit
>>  - meson: disable PCRE2 dependency by default in macOS
>> 
>>  Build fix for macOS.
>> 
>>  Will merge to 'next'.
>>  source: <[email-masked]>
>
> Better hold, as there is a better option posted with a v4 in
> [email-masked] but more importantly
> the discussion is still open and might require further changes.

Again, thanks.  I saw the exchange and your latest round with Eli's
input is what I'll be queuing for today's integration cycle, without
merging it down to 'next' just yet.